<template>
  <div v-if="!isLoggedIn" class="px-8">
    <div class="w-full pt-20">
      <div
        class="h-[118px] rounded-2xl text-[color:var(--element-border-color)] py-8 px-10 border-2 border-solid border-[color:var(--button-bg)] shadow-[shadow:var(--box-shadow)] flex justify-between items-center text-white"
        :style="`background: url('${getAssetImage(
          'assets/theme/black_modern_1/fonts/banner_bonus.svg'
        )}'),
                var(--background5);
                background-repeat: no-repeat;
                background-position: center`"
      >
        <div class="flex items-end justify-between w-full h-full text-white">
          <div class="banner_description">
            <div class="text-[32px] leading-10 mb-1 font-bold">
              {{ signUpIntroduceTitle.Text }}
            </div>
            <div class="text-sm">{{ signUpIntroduceContent.Text }}</div>
          </div>
          <nuxt-link
            v-if="!register.IsHidden"
            :to="'/register'"
            class="flex items-center font-semibold text-[16px] leading-6 uppercase text-white"
          >
            {{ $t("joinnow") }}
          </nuxt-link>
        </div>
      </div>
    </div>
  </div>
</template>
<script lang="ts">
import { computed, defineComponent } from "vue";
import commonHelper from "@/utils/commonHelper";
import themePropertyHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";

export default defineComponent({
  name: "JoinNowCard",
  setup() {
    const { getAssetImage } = commonHelper;
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const signUpIntroduceTitle = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "footer_website_signup_title"
        )
    );
    const signUpIntroduceContent = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "footer_website_signup_content"
        )
    );
    const register = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "register"
        )
    );
    const isLoggedIn = computed(() => store.state.auth);
    return {
      getAssetImage,
      signUpIntroduceTitle,
      signUpIntroduceContent,
      isLoggedIn,
      register,
    };
  },
});
</script>
<style scoped></style>
